#!/bin/sh

FLAVOR=$1
PACKAGE="howm"

if [ "X${FLAVOR}" = "X" ]; then
    echo Need argument to determin FLAVOR of emacs;
    exit 1
fi

if [ "X${PACKAGE}" = "X" ]; then
    echo Internal error: need package name;
    exit 1;
fi

ELDIR=${EPREFIX}/usr/share/emacs/site-lisp/${PACKAGE}
ELCDIR=${EPREFIX}/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
STARTDIR=/etc/${FLAVOR}/site-start.d
STARTFILE="${PACKAGE}-init.el";

case "${FLAVOR}" in
    emacs)
        ;;

    *)
        echo -n "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ..."

        rm -rf ${ELCDIR}
	rm -f ${STARTDIR}/50${STARTFILE}*;

        echo " done."
        ;;
esac

exit 0;
